Package javax.validation.executable

# Enum Class ExecutableType

java.lang.Object
java.lang.Enum<ExecutableType>
javax.validation.executable.ExecutableType

All Implemented Interfaces:
  `Serializable`, `Comparable<ExecutableType>`, `Constable`

public enum ExecutableType extends Enum<ExecutableType>

Since:
  1.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`CONSTRUCTORS`
`GETTER_METHODS`
`IMPLICIT`
`NON_GETTER_METHODS`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static ExecutableType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExecutableType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IMPLICIT

public static final ExecutableType IMPLICIT

### NONE

public static final ExecutableType NONE

### CONSTRUCTORS

public static final ExecutableType CONSTRUCTORS

### NON_GETTER_METHODS

public static final ExecutableType NON_GETTER_METHODS

### GETTER_METHODS

public static final ExecutableType GETTER_METHODS

### ALL

public static final ExecutableType ALL

## Method Details

### values

public static ExecutableType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExecutableType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null